Package org.eclipse.birt.report.model.api

# Class ValueAccessControlHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ContentElementHandle
org.eclipse.birt.report.model.api.AccessControlHandle
org.eclipse.birt.report.model.api.ValueAccessControlHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IAccessControlModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IValueAccessControlModel`

@Deprecated public class ValueAccessControlHandle extends AccessControlHandle implements org.eclipse.birt.report.model.elements.interfaces.IValueAccessControlModel
Deprecated.
Describes the privilege to access resources. Members are

user name
  The user name of the privilege.
role
  what behavior a user can perform
permission
  "allow" or "disallow" the specified behavior to the user

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ContentElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IAccessControlModel

`PERMISSION_PROP, ROLES_PROP, USER_NAMES_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IValueAccessControlModel

`VALUES_PROP`

## Constructor Summary

Constructors
Constructor
Description
`ValueAccessControlHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Deprecated.
Constructs a autotext handle with the given design and the element.

## Method Summary

Modifier and Type
Method
Description
`void`
`addValue(String value)`
Deprecated.
Adds the given value to the list.
`void`
`removeValue(String value)`
Deprecated.
Removes the given value from the list.

### Methods inherited from class org.eclipse.birt.report.model.api.AccessControlHandle

`addRole, addUserName, getPermission, removeRole, removeUserName, setPermission`

### Methods inherited from class org.eclipse.birt.report.model.api.ContentElementHandle

`addListener, canTransformToTemplate, clientsIterator, createTemplateElement, derivedIterator, getElement, getEventHandlerClass, getExtends, getName, getPrivateStyle, getQualifiedName, isTemplateParameterValue, localize, removeListener, revertToReportItem, revertToTemplate, setEventHandlerClass, setExtends, setExtendsName, setName, setStyle, setStyleName`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, clearAllProperties, clearContents, clearProperty, copy, copyPropertyTo, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getExpressionProperty, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getNumberProperty, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isValid, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, semanticCheck, setBooleanProperty, setEncryption, setExpressionProperty, setExtendsElement, setFloatProperty, setIntProperty, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyleElement, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueAccessControlHandle

public ValueAccessControlHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Deprecated.
Constructs a autotext handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### addValue

public void addValue(String value) throws SemanticException
Deprecated.
Adds the given value to the list.

Parameters:
  `value` - the value
Throws:
  `SemanticException`

### removeValue

public void removeValue(String value) throws SemanticException
Deprecated.
Removes the given value from the list.

Parameters:
  `value` - the value to remove
Throws:
  `SemanticException`